Register a financial policy for receptionist calls
POST
/v1/phone-payment-connectors
const url = 'https://api.vocapable.com/v1/phone-payment-connectors';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"display_name":"example","policy":{"version":1,"customer_connector_id":"example","merchant_account_id":"example","payment_kind":"deposit","hosted_enabled":true,"secure_phone_enabled":false,"secure_connector_name":"example","max_amount_minor":1,"currency":"usd","authorization_seconds":300,"max_preparations_per_call":2}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/phone-payment-connectors \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "display_name": "example", "policy": { "version": 1, "customer_connector_id": "example", "merchant_account_id": "example", "payment_kind": "deposit", "hosted_enabled": true, "secure_phone_enabled": false, "secure_connector_name": "example", "max_amount_minor": 1, "currency": "usd", "authorization_seconds": 300, "max_preparations_per_call": 2 } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
PhonePaymentConnectorCreate
object
display_name
required
Display Name
string
policy
required
PhonePaymentPolicy
object
version
Version
integer
customer_connector_id
required
Customer Connector Id
string
merchant_account_id
required
Merchant Account Id
string
payment_kind
Payment Kind
string
hosted_enabled
Hosted Enabled
boolean
secure_phone_enabled
Secure Phone Enabled
boolean
max_amount_minor
required
Max Amount Minor
integer
currency
Currency
string
authorization_seconds
Authorization Seconds
integer
max_preparations_per_call
Max Preparations Per Call
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PhonePaymentConnectorOut
object
display_name
required
Display Name
string
policy
required
PhonePaymentPolicy
object
version
Version
integer
customer_connector_id
required
Customer Connector Id
string
merchant_account_id
required
Merchant Account Id
string
payment_kind
Payment Kind
string
hosted_enabled
Hosted Enabled
boolean
secure_phone_enabled
Secure Phone Enabled
boolean
max_amount_minor
required
Max Amount Minor
integer
currency
Currency
string
authorization_seconds
Authorization Seconds
integer
max_preparations_per_call
Max Preparations Per Call
integer
id
required
Id
string
state
required
State
string
configuration_sha256
required
Configuration Sha256
string
created_at
required
Created At
string format: date-time
hosted_ready
required
Hosted Ready
boolean
secure_phone_ready
required
Secure Phone Ready
boolean
reason_codes
required
Reason Codes
Array<string>
Example
{ "policy": { "version": 1, "payment_kind": "deposit", "hosted_enabled": true, "secure_phone_enabled": false, "currency": "usd", "authorization_seconds": 300, "max_preparations_per_call": 2 }, "state": "enabled"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}